PyXRange (Jython API documentation)
Date: 2015-04-29

org.python.core

## Class PyXRange

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.core.PySequence
    - - org.python.core.PyXRange

- All Implemented Interfaces:
    Serializable

      public class PyXRange
      extends PySequence

  The builtin xrange type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PyType` | `TYPE`

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PyXRange(int ihigh)`
    `PyXRange(int ilow, int ihigh)`
    `PyXRange(int ilow, int ihigh, int istep)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyObject` | `__getitem__(PyObject index)` Equivalent to the standard Python __getitem__ method.
    `PyObject` | `__iter__()` Return an iterator that is used to iterate the element of this sequence.
    `int` | `__len__()` Equivalent to the standard Python __len__ method.
    `PyObject` | `__reduce__()` Used for pickling.
    `Object` | `__tojava__(Class<?> c)` Equivalent to the Jython __tojava__ method.
    `String` | `toString()`
    `PyObject` | `xrange___iter__()`
    `PyObject` | `xrange___reduce__()`
    `PyObject` | `xrange___reversed__()`

    - ### Methods inherited from class org.python.core.PySequence

      `__delitem__, __delslice__, __eq__, __finditem__, __finditem__, __ge__, __getslice__, __gt__, __le__, __lt__, __ne__, __nonzero__, __setitem__, __setitem__, __setslice__, isMappingType, isNumberType, isSequenceType`

    - ### Methods inherited from class org.python.core.PyObject

      `__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __float__, __floordiv__, __format__, __get__, __getattr__, __getattr__, __getitem__, __getnewargs__, __getslice__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iternext__, __itruediv__, __ixor__, __long__, __lshift__, __mod__, __mul__, __neg__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setslice__, __str__, __sub__, __truediv__, __trunc__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final PyType TYPE

  - ### Constructor Detail

    - #### PyXRange

          public PyXRange(int ihigh)

    - #### PyXRange

          public PyXRange(int ilow,
                  int ihigh)

    - #### PyXRange

          public PyXRange(int ilow,
                  int ihigh,
                  int istep)

  - ### Method Detail

    - #### __len__

          public int __len__()

      Description copied from class: `PyObject`
      Equivalent to the standard Python __len__ method. Part of the mapping discipline.
      Overrides:
        `__len__` in class `PyObject`
      Returns:
        the length of the object

    - #### __getitem__

          public PyObject __getitem__(PyObject index)

      Description copied from class: `PyObject`
      Equivalent to the standard Python __getitem__ method. This method should not be overridden. Override the `__finditem__` method instead.
      Overrides:
        `__getitem__` in class `PySequence`
      Parameters:
        `index` - the key to lookup in this container.
      Returns:
        the value corresponding to that key.
      See Also:
        `PyObject.__finditem__(PyObject)`

    - #### __iter__

          public PyObject __iter__()

      Description copied from class: `PyObject`
      Return an iterator that is used to iterate the element of this sequence. From version 2.2, this method is the primary protocol for looping over sequences.

      If a PyObject subclass should support iteration based in the __finditem__() method, it must supply an implementation of __iter__() like this:

           public PyObject __iter__() {
               return new PySequenceIter(this);
           }

      When iterating over a python sequence from java code, it should be done with code like this:

           for (PyObject item : seq.asIterable()) {
               // Do somting with item
           }

      Overrides:
        `__iter__` in class `PySequence`

    - #### xrange___iter__

          public PyObject xrange___iter__()

    - #### xrange___reversed__

          public PyObject xrange___reversed__()

    - #### xrange___reduce__

          public PyObject xrange___reduce__()

    - #### __reduce__

          public PyObject __reduce__()

      Description copied from class: `PyObject`
      Used for pickling. Default implementation calls object___reduce__.
      Overrides:
        `__reduce__` in class `PyObject`
      Returns:
        a tuple of (class, tuple)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `PyObject`

    - #### __tojava__

          public Object __tojava__(Class<?> c)

      Description copied from class: `PyObject`
      Equivalent to the Jython __tojava__ method. Tries to coerce this object to an instance of the requested Java class. Returns the special object `Py.NoConversion` if this `PyObject` can not be converted to the desired Java class.
      Overrides:
        `__tojava__` in class `PySequence`
      Parameters:
        `c` - the Class to convert this `PyObject` to.

Jython homepage